[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetInitialBounds

Sets the bounds of the control initially, when it is created.

## Declaration

Source position: controls.pp line 1660

`public procedure TControl.SetInitialBounds(`
`aLeft: Integer;`
`aTop: Integer;`
`aWidth: Integer;`
`aHeight: Integer`
`); virtual;`

## Arguments

`aLeft` |  | X coordinate for the top, left pixel.
`aTop` |  | Y coordinate for the top, left pixel.
`aWidth` |  | Width of control.
`aHeight` |  | Height of control.

## Description

Does nothing while the control is loaded.

## See also

TControl.SetBounds |  | Sets the bounds (Left, Top, Width, Height) of the control.